## helfertoolctl 0.10.0

=== helfertoolctl/Makefile ===
.PHONY: all install

all:

install:
	mkdir -p $(DESTDIR)/usr/sbin
	install --mode=755 helfertoolctl $(DESTDIR)/usr/sbin

	mkdir -p $(DESTDIR)/lib/systemd/system
	install --mode=644 systemd/helfertool.service $(DESTDIR)/lib/systemd/system

	mkdir -p $(DESTDIR)/usr/share/helfertool
	install --mode=644 share/unavailable.html $(DESTDIR)/usr/share/helfertool

uninstall:
	rm $(DESTDIR)/usr/sbin/helfertoolctl
	rm $(DESTDIR)/lib/systemd/system/helfertool.service
	rm $(DESTDIR)//usr/share/helfertool/unavailable.html

=== debian/changelog ===
helfertoolctl (0.10.0) unstable; urgency=medium

  * Fix issue when starting the container with newer docker versions 

 -- Sven Hertle <hertle@narfi.net>  Sat, 22 Nov 2025 11:51:25 +0000

helfertoolctl (0.9.2) unstable; urgency=medium

  * Updated config for Helfertool release 3.3.x

 -- Sven Hertle <hertle@narfi.net>  Sun, 16 Mar 2025 21:26:03 +0000

helfertoolctl (0.9.1) unstable; urgency=medium

  * Updated config for Helfertool release 3.0.x

 -- Sven Hertle <hertle@narfi.net>  Thu, 09 Jun 2022 21:58:19 +0200

helfertoolctl (0.9.0) unstable; urgency=medium

  * Adjustments so that new containers, which are built with podman, can be
    started. Old containers still work, helfertoolctl automatically checks
    which type of container is used.

 -- Sven Hertle <hertle@narfi.net>  Tue, 31 May 2022 21:51:41 +0200

helfertoolctl (0.8.0) unstable; urgency=medium

  * Updated config for Helfertool release 2.2

 -- Sven Hertle <hertle@narfi.net>  Mon, 29 Nov 2021 21:40:05 +0100

helfertoolctl (0.7.0) unstable; urgency=medium

  * Updated config for Helfertool release 2.1

 -- Sven Hertle <hertle@narfi.net>  Sat, 02 Oct 2021 17:05:14 +0200

helfertoolctl (0.6.0) unstable; urgency=medium

  * Updated config for Helfertool release 2.0
  * Add "exampledata" command

 -- Sven Hertle <hertle@narfi.net>  Sat, 14 Aug 2021 12:01:21 +0200

helfertoolctl (0.5.0) unstable; urgency=medium

  * Updated config for Helfertool release 1.2

 -- Sven Hertle <hertle@narfi.net>  Sun, 10 Jan 2021 21:18:04 +0100

helfertoolctl (0.4.0) unstable; urgency=medium

  * Updated config for Helfertool release 1.1
  * Fix bug: remove old images also if tag is given in HELFERTOOL_DOCKER_IMAGE

 -- Sven Hertle <hertle@narfi.net>  Sat, 20 Jun 2020 22:33:30 +0200

helfertoolctl (0.3.0) unstable; urgency=medium

  * Added new config option: announcement
  * Added configuration for OpenID Connect
  * New unavailable.html page

 -- Sven Hertle <hertle@narfi.net>  Fri, 06 Mar 2020 21:06:17 +0100

helfertoolctl (0.2.1) unstable; urgency=medium

  * updated config

 -- Sven Hertle <hertle@narfi.net>  Fri, 01 Nov 2019 22:22:44 +0100

helfertoolctl (0.2) unstable; urgency=medium

  * Updated configuration: new mail config with separated STMP and IMAP
    settings

 -- Sven Hertle <hertle@narfi.net>  Fri, 01 Nov 2019 22:01:38 +0100

helfertoolctl (0.1.20) unstable; urgency=medium

  * Add disableaccounts command

 -- Sven Hertle <hertle@narfi.net>  Sun, 27 Oct 2019 18:12:25 +0100

helfertoolctl (0.1.19) unstable; urgency=medium

  * Added logrotate config

 -- Sven Hertle <hertle@narfi.net>  Sun, 27 Oct 2019 14:28:46 +0100

helfertoolctl (0.1.18) unstable; urgency=medium

  * Use "docker" config options

 -- Sven Hertle <hertle@narfi.net>  Thu, 30 May 2019 17:00:55 +0200

helfertoolctl (0.1.17) unstable; urgency=medium

  * Include password_length parameter in config

 -- Sven Hertle <hertle@narfi.net>  Sat, 25 May 2019 14:19:47 +0200

helfertoolctl (0.1.16) unstable; urgency=medium

  * add needsrestart command
  * reworked download command
  * removed HELFERTOOL_DISABLE option

 -- Sven Hertle <hertle@narfi.net>  Sun, 25 Nov 2018 15:17:10 +0100

helfertoolctl (0.1.15) unstable; urgency=medium

  * read configuration from /etc/default/helfertool
  * fixed bug in rules

 -- Sven Hertle <hertle@narfi.net>  Thu, 01 Nov 2018 13:45:19 +0100

helfertoolctl (0.1.14) unstable; urgency=medium

  * fixed bug in rules

 -- Sven Hertle <sven.hertle@googlemail.com>  Thu, 01 Nov 2018 12:10:29 +0100

helfertoolctl (0.1.11) unstable; urgency=medium

  * disable autostart for systemd unit

 -- Sven Hertle <sven.hertle@googlemail.com>  Wed, 31 Oct 2018 18:54:15 +0100

helfertoolctl (0.1.10) unstable; urgency=medium

  * open, close and statistics are non-interactive now

 -- Sven Hertle <sven.hertle@googlemail.com>  Sun, 21 Oct 2018 21:29:23 +0200

helfertoolctl (0.1.9) unstable; urgency=medium

  * fixed bug in open command

 -- Sven Hertle <sven.hertle@googlemail.com>  Wed, 03 Oct 2018 18:27:14 +0200

helfertoolctl (0.1.8) unstable; urgency=medium

  * Add log directory
  * Add open, close and statistics command
  * Updated configuration file

 -- Sven Hertle <sven.hertle@googlemail.com>  Wed, 03 Oct 2018 18:23:03 +0200

helfertoolctl (0.1.6) unstable; urgency=medium

  * Added config option for tmp files

 -- Sven Hertle <sven.hertle@googlemail.com>  Sat, 22 Sep 2018 19:23:45 +0200

helfertoolctl (0.1.5) unstable; urgency=medium

  * Cleanup docker images

 -- Sven Hertle <sven.hertle@googlemail.com>  Sat, 22 Sep 2018 16:10:46 +0200

helfertoolctl (0.1.4) unstable; urgency=medium

  * Fixed typo in configuration file

 -- Sven Hertle <sven.hertle@googlemail.com>  Thu, 09 Aug 2018 23:05:30 +0200

helfertoolctl (0.1.3) unstable; urgency=medium

  * Added behind_proxy to config file

 -- Sven Hertle <sven.hertle@googlemail.com>  Mon, 06 Aug 2018 22:36:38 +0200

helfertoolctl (0.1.2) unstable; urgency=medium

  * Add helfertool user

 -- Sven Hertle <sven.hertle@googlemail.com>  Sun, 29 Jul 2018 11:25:48 +0200

helfertoolctl (0.1.1) unstable; urgency=low

  * Fixed dependencies

 -- Sven Hertle <sven.hertle@googlemail.com>  Sat, 28 Jul 2018 13:17:19 +0200

helfertoolctl (0.1) unstable; urgency=low

  * Initial release.

 -- Sven Hertle <sven.hertle@googlemail.com>  Fri, 20 Jul 2018 22:18:59 +0200

=== debian/control ===
Source: helfertoolctl
Maintainer: Sven Hertle <hertle@narfi.net>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.2.1
Section: utils
Priority: optional

Package: helfertoolctl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, docker-ce | docker-engine, adduser
Description: Install and manage Helfertool with Docker
 This package provides an easy way to install the Helfertool with Docker

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory helfertoolctl

override_dh_systemd_start:
	dh_systemd_start --no-start --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

## helfertoolctl 0.11.0

=== debian/changelog ===
helfertoolctl (0.11.0) UNRELEASED; urgency=medium

  * Updated config for Helfertool release 4.0.x

 -- Sven Hertle <hertle@narfi.net>  Mon, 02 Feb 2026 21:37:49 +0000
